Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 Oct 2022 02:28:40 +0200

Stefan Monnier <[email-masked]> writes:

> I'm not sure which part you don't understand above, so I'll only explain
> the general situation: to allow completion of local variable names, we
> analyze the surrounding code, but in order to do that without having to
> write ad-hoc code that knows about all the macros out there that can
> introduce new vars, we take the "surrounding code" and macroexpand the
> hell out of it so that we can then traverse the result looking only for
> `let/let*/lambda/condition-case`.

But why is it calling add-to-list--anon-cmacro with the wrong number of
parameters?